<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\Kursplanung\KursVorschlag;

class KursVorschlagFormularController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new KursVorschlagFormularUseCase(
      $this->getRequestObj()
    );
  }

  
  protected function getRequestObj()
  {
    $requestObj = new \Kufer\KuferTools\Basis\KursPlanung\KursVorschlag\KursVorschlagFormularRequest();
    $requestObj->kopiertVon = \GetOperations::getVarValue('knr');

    return $requestObj;
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return new \Kufer\KuferTools\Basis\KursPlanung\KursVorschlag\KursVorschlagFormularPresenter($pUseCaseResponse);
  }
}